# sz-sdk-proto

If you are beginning your journey with [Senzing],
please start with [Senzing Quick Start guides].

You are in the [Senzing Garage] where projects are "tinkered" on.
Although this GitHub repository may help you understand an approach to using Senzing,
it's not considered to be "production ready" and is not considered to be part of the Senzing product.
Heck, it may not even be appropriate for your application of Senzing!

## Synopsis

:warning:
This is a work-in-progress.
Feel free to comment on it, but do not use it in production, yet.
:warning:

The repository for Senzing's Protocol Buffer `.proto` files.
It also contains code generated by [protoc] for use in servers and clients of the Senzing engine.

[![License Badge]][License]

## Overview

### Expectations

- **Background knowledge:** This repository assumes a working knowledge of:
  - [gRPC]

## Generated source code

1. [cpp]
1. [go]
1. [java]
1. [nodejs]
1. [typescript]
1. [php]
1. [python]
1. [ruby]

## References

1. [Development]
1. [Errors]
1. [Package reference]
1. [Protocol Buffers Overview]
    1. [Language Guide for proto3]
1. [Protocol buffers]
1. [protoc man page]
1. gPRC
    1. [Introduction to gRPC]

[cpp]: example_generated_source_code/cpp
[Development]: docs/development.md
[Errors]: docs/errors.md
[go]: go
[gRPC]: https://github.com/senzing-garage/knowledge-base/blob/main/WHATIS/grpc.md
[Introduction to gRPC]: https://grpc.io/docs/what-is-grpc/introduction/
[java]: example_generated_source_code/java
[Language Guide for proto3]: https://developers.google.com/protocol-buffers/docs/proto3
[nodejs]: example_generated_source_code/nodejs
[License Badge]: https://img.shields.io/badge/License-Apache2-brightgreen.svg
[License]: https://github.com/senzing-garage/sz-sdk-proto/blob/main/LICENSE
[Package reference]: https://pkg.go.dev/github.com/senzing-garage/sz-sdk-proto/go
[php]: example_generated_source_code/php
[protoc man page]: https://manpages.debian.org/testing/protobuf-compiler/protoc.1.en.html
[protoc]: https://github.com/senzing-garage/knowledge-base/blob/main/WHATIS/protoc.md
[Protocol Buffers Overview]: https://developers.google.com/protocol-buffers/docs/overview
[Protocol buffers]: https://developers.google.com/protocol-buffers
[python]: example_generated_source_code/python
[ruby]: example_generated_source_code/ruby
[typescript]: example_generated_source_code/ts
[Senzing Garage]: https://github.com/senzing-garage
[Senzing Quick Start guides]: https://docs.senzing.com/quickstart/
[Senzing]: https://senzing.com/
